package com.tencent.mm.ca;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory.Options;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.compatible.g.a.a;

public class d$a implements a {
    com.tencent.mm.svg.a.a xuG = new com.tencent.mm.svg.a.a();

    public d$a() {
        AppMethodBeat.i(105912);
        AppMethodBeat.o(105912);
    }

    public final Bitmap decodeResource(Resources resources, int i, Options options) {
        AppMethodBeat.i(105913);
        if (this.xuG.g(resources, i)) {
            float f = 0.0f;
            if (options != null) {
                f = ((float) options.inDensity) / 160.0f;
            }
            Bitmap b = com.tencent.mm.svg.a.a.b(resources, i, f);
            AppMethodBeat.o(105913);
            return b;
        }
        AppMethodBeat.o(105913);
        return null;
    }
}
